This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 696749 - PATCH: Run undefined-non-weak-symbols through c++filt to improve readability.
PATCH: Run undefined-non-weak-symbols through c++filt to improve readability.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
14
All Linux
unspecified Severity low
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-14 15:00 EDT by Richard Shaw
Modified: 2011-05-03 21:02 EDT (History)
5 users (show)

See Also:
Fixed In Version: rpmlint-1.2-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-30 23:27:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to run symbols through c++filt (757 bytes, patch)
2011-04-14 15:00 EDT, Richard Shaw
no flags Details | Diff
Revised patch (778 bytes, patch)
2011-04-14 15:17 EDT, Richard Shaw
no flags Details | Diff

  None (edit)
Description Richard Shaw 2011-04-14 15:00:09 EDT
Created attachment 492201 [details]
Patch to run symbols through c++filt

Description of problem:
rpmlint currently outputs the raw symbols

Version-Release number of selected component (if applicable):
1.0-2

Additional info:
I have a quick patch to filter the symbols through c++filt but I'm not up on my python and for some reason it's outputting the Popen object reference with the un-mangled symbol name.

Should be trivial to fix that.
Comment 1 Richard Shaw 2011-04-14 15:17:05 EDT
Created attachment 492207 [details]
Revised patch

Figured it out. Changed from subprocess.Popen to subprocess.check_output.
Comment 2 Ville Skyttä 2011-04-14 16:16:45 EDT
We have Pkg.getstatusoutput for that purpose in rpmlint.  Modified patch applied upstream, thanks: http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1850
Comment 3 Ville Skyttä 2011-04-14 16:32:41 EDT
...and http://rpmlint.zarb.org/cgi-bin/trac.cgi/changeset/1851
Comment 4 Fedora Update System 2011-04-24 22:10:01 EDT
rpmlint-1.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/rpmlint-1.2-1.fc14
Comment 5 Fedora Update System 2011-04-24 22:10:28 EDT
rpmlint-1.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/rpmlint-1.2-1.fc15
Comment 6 Fedora Update System 2011-04-24 22:10:57 EDT
rpmlint-1.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/rpmlint-1.2-1.fc13
Comment 7 Fedora Update System 2011-04-25 16:54:22 EDT
Package rpmlint-1.2-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpmlint-1.2-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/rpmlint-1.2-1.fc14
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-04-30 23:26:48 EDT
rpmlint-1.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2011-05-03 21:00:24 EDT
rpmlint-1.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2011-05-03 21:01:45 EDT
rpmlint-1.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.